Metrics
Metric by month
Metric by month. Metrics are retained for 180 days.
GET
/
metrics
/
{year}
/
{month}
Metric by month. Metrics are retained for 180 days.
curl --request GET \
--url https://1-some-client.some-server.healvi-chat/third-party/v1/metrics/{year}/{month} \
--header 'Authorization: Bearer <token>'import requests
url = "https://1-some-client.some-server.healvi-chat/third-party/v1/metrics/{year}/{month}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://1-some-client.some-server.healvi-chat/third-party/v1/metrics/{year}/{month}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"year": 123,
"month": 123,
"customer_messages_count": 123,
"new_customers_count": 123,
"existing_customers_count": 123,
"fresh_conversations_count": 123,
"agent_messages_count": 123,
"average_agent_response_time_minutes": 123,
"marketing_opt_in_profiles_count": 123,
"marketing_opt_out_profiles_count": 123
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Success
Collected metrics on a monthly basis.
Show child attributes
Show child attributes
⌘I
Metric by month. Metrics are retained for 180 days.
